﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamComboEditorSelectAllCase
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }


        string[] labels = "Andrew;Alex;Steve;Jen;Murphy;Valerie;Nick;Select All".Split(';');
            
        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();

            for (int i = 0; i < labels.Length; i++)
            {
                Data.Add(new SampleData()
                {
                    ID  =i,
                    Label = labels[i]
                });
            }
        }
    }

    public class SampleData
    {
        public int ID { get; set; }
        public string Label { get; set; }
    }
}
